"Description: 
An install script for Dandelion 0.5
Edit settings and file-in.

Copyright (C) 2000-2003 Masashi Umezawa

"!

| dir htmlInstall smixInstall petalInstall xmiInstall fullPath core html smix petal xmi |

"settings -  edit if you like"
dir := 'dandelion0.5'.
htmlInstall := true.
smixInstall := true.
petalInstall := true.
xmiInstall := true.

"install main - edit if you like (normally you don't have to)"
fullPath := FileDirectory default fullNameFor: dir.
core := #(
'Dandelion-utils.st'
'Dandelion-exceptions.st'
'Dandelion-event.st'
'Dandelion-introspector.st'
'Dandelion-analysis-storage.st'
'Dandelion-introspect-strategy.st'
'Dandelion-analysis-strategy.st'
'Dandelion-resolve-strategy.st'
'Dandelion-analyzable.st'
'Dandelion-outputter.st'
'Dandelion-facade.st'
).

html := #(
'Dandelion-dynamic-document.st'
'Dandelion-dynDoc-html.st'
'Dandelion-outputter-html.st'
).

smix := #(
'Dandelion-SMIX-element.st'
'Dandelion-outputter-SMIX.st'
).

petal := #(
'Dandelion-ptl-utils.st'
'Dandelion-ptl-element.st'
'Dandelion-outputter-ptl.st'
).

xmi := #(
'Dandelion-xmi-element.st'
'Dandelion-xmi-uml-element.st'
'Dandelion-outputter-xmi-uml.st'
).

core do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].

htmlInstall ifTrue:[
html do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].
].

smixInstall ifTrue:[
smix do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].
].

petalInstall ifTrue:[
petal do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].
].

xmiInstall ifTrue:[
xmi do:[:each | ((FileDirectory on: fullPath) readOnlyFileNamed: each) fileIn.].
].

"program initialization"
DlDandelionSystem initialize.
DlDandelionSystem inform: 'Dandelion0.5 was successfully installed.'.

! 

"end of script"!
